Index: doc/valgrind.txt
===================================================================
--- doc/valgrind.txt	(revision 221645)
+++ doc/valgrind.txt	(working copy)
@@ -11,18 +11,12 @@
 2.  Rebuild and install Asterisk.
 
 3.  Run Asterisk as follows:
-	valgrind --log-file-exactly=valgrind.txt asterisk -vvvvcg 2>malloc_debug.txt
+	valgrind --suppressions=/usr/src/asterisk/utils/asterisk.supp --log-fd=9 asterisk -vvvvcg 9>valgrind.txt
+	
+	Where /usr/src/asterisk/ is location of asterisk source code.
 
-	UPDATE:  The newest version of valgrind has eliminated the
-	--log-file-exactly option.  If you are running valgrind 3.3.0 or higher,
-	just use the --log-file option, keeping in mind that Valgrind will append
-	a trailing suffix onto valgrind.txt.
-
 4.  Reproduce the issue.  Following the manifestation of the issue (or when
-	the process crashes), upload the two files, valgrind.txt and
-	malloc_debug.txt to the issue tracker.  If you are using the --log-file
-	option, note that valgrind.txt will have a trailing suffix.  That's fine,
-	just upload that file.
+	the process crashes), upload the valgrind.txt to the issue tracker.
 
 Please note that even if valgrind prevents Asterisk from crashing, the
 information logged may STILL be of use to developers, so please upload the
